Subject: Re: VFS: Cannot open root device "31:03" or unknown-block(31,3)

From: "HappyPhot" <[email-masked]>
Date: Fri, 6 Jan 2006 22:09:53 +0800

> in your .config:
>
>> CONFIG_JFFS2_FS=m
>
> This is wrong. You have to choose "y", not "m" (for module).
> This way jffs2 is compiled as a module. That means, that jffs2 filesystem 
> will
> not be available until the module is loaded with "insmod jffs2" of 
> something
> similar. That in turn means that your system has to start up first in 
> order
> to be able to do this, but since you can't start because your root 
> filesystem
> is on jffs2, you have created yourself a "chicken and egg" problem.
> If you choose "y" then jffs2 support will be compiled into the kernel, and
> thus be available before booting.

Hi, David,
  Yes, you are right. After changing it to 'y', the " VFS: Cannot open 
root..."
message was gone. I'm so happy and thank you very much.

  Now it is another problem again. (something like: Oops: kernel access of 
bad
area. sig:11...).  I am going to check what happened.

>
> In your bootlog:
>
>> Linux version 2.6.14.2 (happy@sddlinux1) (gcc version 3.3.3 (DENX ELDK 
>> 3.1.1
>> 3.3.3-10)) #29 Sun Jan 1 22:34:28 CST 2006
>> Motorola SPS Sandpoint Test Platform
>
> I see you are using DENX ELDK 3.1.1 and a kernel which AFAIK is not 
> supported
> by this version of ELDK. Are you sure this is supposed to work? It 
> probably
> will, but I don't know what the "Sandpoint" is (it looks like a PowerPC
> processor of the MPC7xx series to me), so I couldn't tell.

  Do you know where to get the infomation about which kernel version it 
supports?

thank you,
/HappyPhot